Closed:run LIMMA package encounts clariomdhumancdf error
1
0
Entering edit mode
83310199 • 0
@83310199-20052
Last seen 5.3 years ago

hi there! i'm a new R runner, when i try to use Limma package to analyze cel files. there is an unexpected error:

# Perfect-match probes
pm.data <- pm(data.raw)

> pm.data <- pm(data.raw)
Error in getCdfInfo(object) : 
  Could not obtain CDF environment, problems encountered:
Specified environment does not contain Clariom_D_Human
Library - package clariomdhumancdf not installed
Bioconductor - clariomdhumancdf not available

> BiocManager::install('clariomdhumancdf')
Bioconductor version 3.8 (BiocManager 1.30.4), R 3.5.1
  (2018-07-02)
Installing package(s) 'clariomdhumancdf'
Update old packages: 'openssl'
Update all/some/none? [a/s/n]: 
a

  There is a binary version available but the source
  version is later:
        binary source needs_compilation
openssl  1.2.1  1.2.2              TRUE

  Binaries will be installed
trying URL 'https://cran.rstudio.com/bin/windows/contrib/3.5/openssl_1.2.1.zip'
Content type 'application/zip' length 3944621 bytes (3.8 MB)
downloaded 3.8 MB

package ‘openssl’ successfully unpacked and MD5 sums checked

The downloaded binary packages are in
    C:\Users\aa\AppData\Local\Temp\RtmpWg5aNt\downloaded_packages
Warning message:
package ‘clariomdhumancdf’ is not available (for R version 3.5.1) 

when i try to run another command, the same error occurs again:

> boxplot(data.raw, col = cols, xlab = "Sample", ylab = "Log intensity")
Error in getCdfInfo(object) : 
  Could not obtain CDF environment, problems encountered:
Specified environment does not contain Clariom_D_Human
Library - package clariomdhumancdf not installed
Bioconductor - clariomdhumancdf not available

how can i fix this bug? thanks for your advise :)

limma CDF environment clariomdhumancdf getCdfInfo(object) • 543 views
ADD COMMENT
This thread is not open. No new answers may be added
Traffic: 447 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6